# npm-collection-staff-picks 

A list of obscure and beloved npm packages, selected by the staff at npm

## Installation

Download node at [nodejs.org](http://nodejs.org) and install it, if you haven't already.

```sh
npm install npm-collection-staff-picks --save
```



## Dependencies

- [backoff](https://github.com/MathieuTurcotte/node-backoff): Fibonacci and exponential backoffs.
- [bistre](https://github.com/hughsk/bistre): A command-line tool and module for printing colourful bole logs.
- [blade](https://github.com/bminer/node-blade): Blade - HTML Template Compiler, inspired by Jade &amp; Haml
- [bole](https://github.com/rvagg/bole): A tiny JSON logger
- [cheerio](https://github.com/cheeriojs/cheerio): Tiny, fast, and elegant implementation of core jQuery designed specifically for the server
- [dashdash](https://github.com/trentm/node-dashdash): A light, featureful and explicit option parsing library.
- [inquirer](https://github.com/SBoudrias/Inquirer.js): A collection of common interactive command line user interfaces.
- [json](https://github.com/trentm/json): a &#39;json&#39; command for massaging and processing JSON on the command line
- [must](https://github.com/moll/js-must): Testing and assertion library with friendly BDD syntax — awesome.must.be.true(). Many expressive matchers and is test runner and framework agnostic. Follows RFC 2119 with its use of MUST. Good and well tested stuff.
- [nearley](https://github.com/hardmath123/nearley): Simple Earley parsing for JS
- [p-promise](https://github.com/rkatic/p): A simple Promises/A+ library.
- [package-json-to-readme](https://github.com/zeke/package-json-to-readme): Generate a README.md from package.json contents
- [replify](https://github.com/dshaw/replify): Easily add a REPL to your Node.js app.
- [replpad](https://github.com/thlorenz/replpad): Pipes content of files to a node repl whenever they change and adds many more features to enable a highly interactive coding experience.
- [shimmer](https://github.com/othiym23/shimmer): Safe(r) monkeypatching for JavaScript.
- [sprintf-js](https://github.com/alexei/sprintf.js): JavaScript sprintf implementation
- [stackup](https://github.com/npm/npm-collection-staff-picks): Long stack traces based on async listeners
- [standard-error](https://github.com/moll/js-standard-error): Tiny library that simplifies subclassing and inheriting from Error while keeping the correct name and stack. Also supports constructing from an object of properties. Saves you from boilerplate.
- [superagent](https://github.com/visionmedia/superagent): elegant &amp; feature rich browser / node HTTP with a fluent API
- [zeroclipboard](https://github.com/zeroclipboard/zeroclipboard): The ZeroClipboard library provides an easy way to copy text to the clipboard using an invisible Adobe Flash movie and a JavaScript interface.

## Dev Dependencies

- [backfill](https://github.com/zeke/backfill): Download package.json dependency data to meta.json
- [find-root](https://github.com/agilemd/find-root): find the closest package.json
- [pkgs](https://github.com/zeke/pkgs): Fetch npm registry metadata for a list of npm package names


## License

ISC

_Generated by [package-json-to-readme](https://github.com/zeke/package-json-to-readme)_
